class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
  before_filter :require_login
  respond_to :html, :json

  private

    def not_authenticated
      redirect_to :root, alert: "Please login first."
    end
end
