require 'test_helper'

class AccountMailerTest < ActionMailer::TestCase
  test "activation_needed_email" do
    user = Person.new
    mail = AccountMailer.activation_needed_email user
    assert_equal "Activation needed email", mail.subject
    assert_match "Hi", mail.body.encoded
    # assert_equal ["to@example.org"], mail.to
    # assert_equal ["from@example.com"], mail.from
  end

  test "activation_success_email" do
    user = Person.new
    mail = AccountMailer.activation_success_email user
    assert_equal "Activation success email", mail.subject
    assert_match "Hi", mail.body.encoded
    # assert_equal ["to@example.org"], mail.to
    # assert_equal ["from@example.com"], mail.from
  end
end
