class AccountMailer < ApplicationMailer
  # Subject can be set in your I18n file at config/locales/en.yml
  # with the following lookup:
  #
  #   en.account_mailer.activation_needed_email.subject
  #
  def activation_needed_email(user)
    @greeting = "Hi"
    @user = user
    mail to: Person.admins.map(&:email).join(', ')
  end

  # Subject can be set in your I18n file at config/locales/en.yml
  # with the following lookup:
  #
  #   en.account_mailer.activation_success_email.subject
  #
  def activation_success_email(user)
    @greeting = "Hi"
    @user = user
    mail to: user.email
  end
end
